## com.vividsolutions.jts.geom
Class Dimension

    java.lang.Object
      com.vividsolutions.jts.geom.Dimension

public class Dimension
extends java.lang.Object

Constants representing the dimensions of a point, a curve and a surface. Also, constants representing the dimensions of the empty geometry and non-empty geometries, and a wildcard dimension meaning "any dimension".

Version:
  1.7

Field Summary
`static int` `A` Dimension value of a surface (2).
`static int` `DONTCARE` Dimension value for any dimension (= {FALSE, TRUE}).
`static int` `FALSE` Dimension value of the empty geometry (-1).
`static int` `L` Dimension value of a curve (1).
`static int` `P` Dimension value of a point (0).
`static int` `TRUE` Dimension value of non-empty geometries (= {P, L, A}).

Constructor Summary
`Dimension()`

Method Summary
`static char` `toDimensionSymbol(int dimensionValue)` Converts the dimension value to a dimension symbol, for example, `TRUE => 'T'` .
`static int` `toDimensionValue(char dimensionSymbol)` Converts the dimension symbol to a dimension value, for example, `'*' => DONTCARE` .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P

    public static final int P

  Dimension value of a point (0).

  See Also:
    Constant Field Values

### L

    public static final int L

  Dimension value of a curve (1).

  See Also:
    Constant Field Values

### A

    public static final int A

  Dimension value of a surface (2).

  See Also:
    Constant Field Values

### FALSE

    public static final int FALSE

  Dimension value of the empty geometry (-1).

  See Also:
    Constant Field Values

### TRUE

    public static final int TRUE

  Dimension value of non-empty geometries (= {P, L, A}).

  See Also:
    Constant Field Values

### DONTCARE

    public static final int DONTCARE

  Dimension value for any dimension (= {FALSE, TRUE}).

  See Also:
    Constant Field Values

Constructor Detail

### Dimension

    public Dimension()

Method Detail

### toDimensionSymbol

    public static char toDimensionSymbol(int dimensionValue)

  Converts the dimension value to a dimension symbol, for example, `TRUE => 'T'` .

  Parameters:
    `dimensionValue` - a number that can be stored in the `IntersectionMatrix` . Possible values are `{TRUE, FALSE, DONTCARE, 0, 1, 2}`.
  Returns:
    a character for use in the string representation of an `IntersectionMatrix`. Possible values are `{T, F, * , 0, 1, 2}` .

### toDimensionValue

    public static int toDimensionValue(char dimensionSymbol)

  Converts the dimension symbol to a dimension value, for example, `'*' => DONTCARE` .

  Parameters:
    `dimensionSymbol` - a character for use in the string representation of an `IntersectionMatrix`. Possible values are `{T, F, * , 0, 1, 2}` .
  Returns:
    a number that can be stored in the `IntersectionMatrix` . Possible values are `{TRUE, FALSE, DONTCARE, 0, 1, 2}`.